package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItempoolActivityUpdateRequest struct {
	/*
	   更新商品池活动参数     */
	Param *domain.AlibabaRetailMarketingItempoolActivityUpdateItemPoolActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItempoolActivityUpdateRequest) SetParam(v domain.AlibabaRetailMarketingItempoolActivityUpdateItemPoolActivityOperateRequest) *AlibabaRetailMarketingItempoolActivityUpdateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItempoolActivityUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItempoolActivityUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
